using ComputerShopContracts.BindingModels;
using ComputerShopContracts.SearchModels;
using ComputerShopContracts.ViewModels;
using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BusinessLogicContracts
{
    public interface IAssemblyLogic
    {
        List<AssemblyViewModel>? ReadList(AssemblySearchModel? model);
        AssemblyViewModel? ReadElement(AssemblySearchModel model);
        bool Create(AssemblyBindingModel model);
        bool Update(AssemblyBindingModel model);
        bool Delete(AssemblyBindingModel model);
        bool AddComponentToAssembly(AssemblySearchModel model, ComponentSearchModel componentmodel, int amount);
    }
}
